%define snapshot 0
%define pre rc

%define qtmajor 5
%define qtminor 15
%define qtsubminor 6
%define major 5


%define major_private 1
%define qtversion %{qtmajor}.%{qtminor}.%{qtsubminor}

%define libwebengine %mklibname webengine %qtmajor
%define libwebenginewidgets %mklibname webenginewidgets %qtmajor
%define libwebenginecore %mklibname webenginecore %qtmajor
%define libwebengine_d %mklibname qt5webengine -d

%if %snapshot
%define qttarballdir qtwebengine-everywhere-src-%{qtversion}-%pre
%else
%define qttarballdir qtwebengine-everywhere-src-5.15.6-clean
%endif

# exclude plugins (all architectures) and libv8.so (i686, it's static everywhere else)
%global __provides_exclude ^lib.*plugin\\.so.*|libv8\\.so$
# exclude libv8.so (i686, it's static everywhere else)
%global __requires_exclude ^libv8\\.so$

Name: qtwebengine5
Version: 5.15.10
Release: %mkrel 2
Summary: Integrates chromium's fast moving web capabilities into Qt
Group: System/Libraries
License: LGPLv2 with exceptions or GPLv3 with exceptions and GFDL
URL:     http://www.qt.io
Source0: http://download.qt.io/official_releases/qt/%{qtmajor}.%{qtminor}/%{version}/submodules/usr.tar.gz

%description
The Qt WebEngine module provides the WebEngineView API which allows QML
applications to render regions of dynamic web content. A WebEngineView
component may share the screen with other QML components or encompass
the full screen as specified within the QML application.

It allows an application to load pages into the WebEngineView, either by
URL or with an HTML string, and navigate within session history. By
default, links to different pages load within the same WebEngineView, but
web sites may request them to be opened as a new tab, window or dialog.

%files
%{_qt5_translationdir}/qtwebengine_locales
%{_qt5_qml}/QtWebEngine/
%{_qt5_qml}/QtQuick/Pdf/
%{_qt5_bindir}/qwebengine_convert_dict
%{_qt5_plugindir}/imageformats/libqpdf.so
%{_libdir}/qt5/libexec/QtWebEngineProcess
%{_datadir}/qt5/resources/*.pak
#------------------------------------------------------------------------------

%package -n %{libwebengine}
Summary: Qt%{qtmajor} Component Library
Group: System/Libraries

%description -n %{libwebengine}
Qt%{qtmajor} Component Library.

%files -n %{libwebengine}
%{_qt5_libdir}/lib*.so.%{major}*
#------------------------------------------------------------------------------

%package -n %{libwebengine_d}
Summary: Devel files needed to build apps based on %name
Group:    Development/Libraries
Requires: %{libwebengine} = %version
Provides: libwebengine5-devel = %version
Provides: webengine5-devel = %version

%description -n %{libwebengine_d}
Devel files needed to build apps based on %name

%files -n %{libwebengine_d}
%{_qt5_libdir}/*.so
%{_qt5_libdir}/*.prl
%{_qt5_libdir}/pkgconfig/*.pc
%{_qt5_includedir}
%{_qt5_libdir}/cmake/
%{_qt5_archdatadir}/mkspecs/modules/*.pri
%{_qt5_examplesdir}
#------------------------------------------------------------------------------

%prep

%build

#------------------------------------------------------------------------------

%install
rm -rf %buildroot
mkdir -p %buildroot
tar xf %SOURCE0 -C %buildroot


%changelog
* Sun Jan 15 2023 tex - 5.15.10-2pclos2023
- rebuild libre2

* Mon Sep 12 2022 tex - 5.15.10-1pclos2022
- new version

* Mon May 02 2022 tex - 5.15.8-1pclos2022
- new version

* Sat Sep 18 2021 tex - 5.15.6-1pclos2021
- new version
